ROHTO - Feature #228

[Phase 2] PMS - Review 6 - Form Auto Load
03/08/2021 04:05 PM - Anonymous

Status: Deploy Start date: 03/08/2021
Priority: High Due date:

Assignee: Nana Supiana % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Dev

Review 6

1. Get List Appraiser

Load data dari table PHRPA0047 , field Appraisal Type 'G', field Start Date 4 digit dri depan untuk cek thn sesuai dg period untuk
mndpatkan Sequence, di cocokan dg table 48 field "Header Sequence" memiliki Value yg sama maka ambil semua data Appraiser
ID nya.

2. Get KPI

a. Membaca ke table PHRPA0047, Cek periode penilaian melalui Start Date 4 digit awal (thn), kemudian ambil value di field
Sequence.

b. Value field Sequence di PHRPA0047 di cocokan dg Header Sequence di table PHRPAQ0049 , tarik data semua KPI yg memiliki
Value Sama di Header Sequence.

3. Get Responsible (KPI yg Nembel ke Job)
a. cek id KPI yg nempel di Job employee yaitu di PA002 yg sedang Aktif
b. Cek id tsb ke KPI Object Details (PHROMO0025) ambil data pd fieldName Responsible & Weight pada form ESS.

Terimakasih

History

#1 - 03/08/2021 04:06 PM - Anonymous

- Status changed from New to Assigned

#2 - 03/09/2021 12:24 AM - Nana Supiana
- Status changed from Assigned to User Test

- Assignee changed from Nana Supiana to Anonymous

Dear Mba lis,

Untuk point 1 & 2 pastikan di PHRPA0047 sudah ada period sesuai dengan appraisal period yg dipilih, appraisal typenya "G" dan EmployeelD nya
requester untuk mendapatkan sequennya.

Thanks

#3 - 03/09/2021 03:18 PM - Anonymous

- Status changed from User Test to Assigned

- Assignee changed from Anonymous to Nana Supiana
Dear Nana

Untuk yg Header Get data:

1. List Appraiser: ok

2. KPI: ok

3. Additional Task: copy fungsi nya dri BIZPROC FINAL.

Terimakasih
#4 - 03/15/2021 12:48 PM - Nana Supiana

- Status changed from Assigned to Developing

#5 - 03/15/2021 12:48 PM - Nana Supiana
- Status changed from Developing to User Test

- Assignee changed from Nana Supiana to Anonymous

#6 - 06/07/2021 03:46 PM - Anonymous
- Status changed from User Test to Deploy

- Assignee changed from Anonymous to Nana Supiana
